"use strict";
this.name = "rmb-chaff-launcher-script.js";
this.author = "Ramirez";
this.copyright = "January 2009";
this.description = "Ship script for the chaff launcher";
this.version = "1.0";


this.decrementChaff = function() {// when chaff is released by the launcher, decrement the chaff count and reload if bundles are available
	function isHostileMissile(entity) { 
		return (entity.isShip && entity.scanClass == "CLASS_MISSILE");
	}

	if (player.ship.equipmentStatus("EQ_RMB_CHAFF_LAUNCHER") != "EQUIPMENT_OK") {
		player.consoleMessage("Chaff launched without launcher. You have " + --missionVariables.rmb_chaff_count + " bundle(s) remaining.", 6);
		return;
	}
	if (--missionVariables.rmb_chaff_count > 0) {
		player.ship.awardEquipment("EQ_RMB_CHAFF_MINE");
		player.consoleMessage("Chaff reloaded. You have " + missionVariables.rmb_chaff_count + " bundle(s) remaining.", 6);
	} else {
		player.consoleMessage("Chaff exhausted.", 6);
	}

	var chaff = this.ship.spawn("rmb-chaff", 30);
	var missiles = system.filteredEntities(this, isHostileMissile, this.ship, this.ship.scannerRange);

	for (var i = 0; i < missiles.length; i++) {
		var chance
		switch (missiles[i].name) {
			case "Missile": chance = 0.95 ;break;
			case "ECM Hardened Missile": chance = 0.8 ;break;
			case "Fragmentation Missile": chance = 0.9 ;break;
			case "Lawmaker Missile": chance = 0.0 ;break;
			case "Cascade Missile": chance = 0.0 ;break;
			case "Intercept Missile": chance = 0.7 ;break;
			case "Anti-Thargoid Missile": chance = 0.0 ;break;
			case "Anti-Thargoid Warhead": chance = 0.0 ;break;
			case "Defence Missile": chance = 0.0 ;break;
			case "Override Missile": chance = 0.0 ;break;
			default: chance = 0.75; break; // used for non listed missiles (from other oxp's).
		}

		if (Math.random() < chance) missiles[i].target = chaff[i];
	}
}
