"use strict";
this.name = "rmb-override-missile-script";
this.author = "Ramirez";
this.copyright = "December 2011";
this.description = "Prevents a Violet Flax override missile from being effective against stations and other stationary objects.  If player is the target, a random piece of equipment is damaged";
this.version = "4.0";

this.damageSystems = function() {
    if (!this.ship || !this.ship.isValid || !this.ship.target || !this.ship.target.isValid) {
        return;
    }

    if ((this.ship.target.isStation && this.ship.target.maxSpeed == 0) || this.ship.target.scanClass == "CLASS_ROCK" || this.ship.target.scanClass == "CLASS_BUOY") return;
    if (this.ship.target.isPlayer) {
        var list = ["EQ_ADVANCED_COMPASS", "EQ_DOCK_COMP", "EQ_ECM", "EQ_FUEL_INJECTION", "EQ_TARGET_MEMORY", 	"EQ_SCANNER_SHOW_MISSILE_TARGET"];
        let equipment = list[Math.floor(Math.random() * list.length)];
        if (player.ship.equipmentStatus(equipment) == "EQUIPMENT_OK") {
            player.ship.setEquipmentStatus(equipment, "EQUIPMENT_DAMAGED");
            player.commsMessage("Warning: Missile detonation caused failure of " + EquipmentInfo.infoForKey(equipment).name, 5);
            this.ship.reactToAIMessage("DETONATE");
        }
    } else {
        if (this.ship.target.AI == "rmb-overrideAI.plist") return ;
        else 
            this.ship.target.setAI("rmb-overrideAI.plist");
    }
}